Suggest what you mainly do
curl --request POST \
--url https://api.akua.dev/v1/dashboard_preferences:suggestRole \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"landing": [
{}
],
"signup_source": "<string>",
"utm": {
"source": "<string>",
"medium": "<string>",
"campaign": "<string>",
"content": "<string>",
"term": "<string>"
},
"dashboard_visits": [],
"first_chat_message": "<string>"
}
'import requests
url = "https://api.akua.dev/v1/dashboard_preferences:suggestRole"
payload = {
"landing": [{}],
"signup_source": "<string>",
"utm": {
"source": "<string>",
"medium": "<string>",
"campaign": "<string>",
"content": "<string>",
"term": "<string>"
},
"dashboard_visits": [],
"first_chat_message": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
landing: [{}],
signup_source: '<string>',
utm: {
source: '<string>',
medium: '<string>',
campaign: '<string>',
content: '<string>',
term: '<string>'
},
dashboard_visits: [],
first_chat_message: '<string>'
})
};
fetch('https://api.akua.dev/v1/dashboard_preferences:suggestRole', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.akua.dev/v1/dashboard_preferences:suggestRole",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'landing' => [
[
]
],
'signup_source' => '<string>',
'utm' => [
'source' => '<string>',
'medium' => '<string>',
'campaign' => '<string>',
'content' => '<string>',
'term' => '<string>'
],
'dashboard_visits' => [
],
'first_chat_message' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.akua.dev/v1/dashboard_preferences:suggestRole"
payload := strings.NewReader("{\n \"landing\": [\n {}\n ],\n \"signup_source\": \"<string>\",\n \"utm\": {\n \"source\": \"<string>\",\n \"medium\": \"<string>\",\n \"campaign\": \"<string>\",\n \"content\": \"<string>\",\n \"term\": \"<string>\"\n },\n \"dashboard_visits\": [],\n \"first_chat_message\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.akua.dev/v1/dashboard_preferences:suggestRole")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"landing\": [\n {}\n ],\n \"signup_source\": \"<string>\",\n \"utm\": {\n \"source\": \"<string>\",\n \"medium\": \"<string>\",\n \"campaign\": \"<string>\",\n \"content\": \"<string>\",\n \"term\": \"<string>\"\n },\n \"dashboard_visits\": [],\n \"first_chat_message\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.akua.dev/v1/dashboard_preferences:suggestRole")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"landing\": [\n {}\n ],\n \"signup_source\": \"<string>\",\n \"utm\": {\n \"source\": \"<string>\",\n \"medium\": \"<string>\",\n \"campaign\": \"<string>\",\n \"content\": \"<string>\",\n \"term\": \"<string>\"\n },\n \"dashboard_visits\": [],\n \"first_chat_message\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"suggested_role": "owners",
"source": "baseline",
"baseline": {
"suggested_role": "owners",
"confidence": 0.5,
"ranked_roles": [
{
"role_preset": "owners",
"score": 1,
"reasons": [
"<string>"
]
}
],
"why": "<string>"
},
"jev": {
"probabilities": {
"owners": 0.5,
"operations": 0.5,
"developers": 0.5,
"vendors": 0.5
},
"model": "<string>",
"eligible": true
},
"reasons": [
"<string>"
],
"why": "<string>"
}{
"_tag": "Validation",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "Unauthorized",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "Forbidden",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "TooManyRequests",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "ServiceUnavailable",
"success": false,
"errors": [],
"result": {}
}Dashboard Preferences
Suggest what you mainly do
Ranks the four onboarding answers from visited landing roles, sign-up attribution, early dashboard pages and installed apps in the selected workspace. Returns both deterministic and available evaluated reader evidence with reasons. Confirmation through PATCH is required to save a choice; this operation never changes preferences.
POST
/
dashboard_preferences:suggestRole
Suggest what you mainly do
curl --request POST \
--url https://api.akua.dev/v1/dashboard_preferences:suggestRole \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"landing": [
{}
],
"signup_source": "<string>",
"utm": {
"source": "<string>",
"medium": "<string>",
"campaign": "<string>",
"content": "<string>",
"term": "<string>"
},
"dashboard_visits": [],
"first_chat_message": "<string>"
}
'import requests
url = "https://api.akua.dev/v1/dashboard_preferences:suggestRole"
payload = {
"landing": [{}],
"signup_source": "<string>",
"utm": {
"source": "<string>",
"medium": "<string>",
"campaign": "<string>",
"content": "<string>",
"term": "<string>"
},
"dashboard_visits": [],
"first_chat_message": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
landing: [{}],
signup_source: '<string>',
utm: {
source: '<string>',
medium: '<string>',
campaign: '<string>',
content: '<string>',
term: '<string>'
},
dashboard_visits: [],
first_chat_message: '<string>'
})
};
fetch('https://api.akua.dev/v1/dashboard_preferences:suggestRole', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.akua.dev/v1/dashboard_preferences:suggestRole",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'landing' => [
[
]
],
'signup_source' => '<string>',
'utm' => [
'source' => '<string>',
'medium' => '<string>',
'campaign' => '<string>',
'content' => '<string>',
'term' => '<string>'
],
'dashboard_visits' => [
],
'first_chat_message' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.akua.dev/v1/dashboard_preferences:suggestRole"
payload := strings.NewReader("{\n \"landing\": [\n {}\n ],\n \"signup_source\": \"<string>\",\n \"utm\": {\n \"source\": \"<string>\",\n \"medium\": \"<string>\",\n \"campaign\": \"<string>\",\n \"content\": \"<string>\",\n \"term\": \"<string>\"\n },\n \"dashboard_visits\": [],\n \"first_chat_message\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.akua.dev/v1/dashboard_preferences:suggestRole")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"landing\": [\n {}\n ],\n \"signup_source\": \"<string>\",\n \"utm\": {\n \"source\": \"<string>\",\n \"medium\": \"<string>\",\n \"campaign\": \"<string>\",\n \"content\": \"<string>\",\n \"term\": \"<string>\"\n },\n \"dashboard_visits\": [],\n \"first_chat_message\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.akua.dev/v1/dashboard_preferences:suggestRole")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"landing\": [\n {}\n ],\n \"signup_source\": \"<string>\",\n \"utm\": {\n \"source\": \"<string>\",\n \"medium\": \"<string>\",\n \"campaign\": \"<string>\",\n \"content\": \"<string>\",\n \"term\": \"<string>\"\n },\n \"dashboard_visits\": [],\n \"first_chat_message\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"suggested_role": "owners",
"source": "baseline",
"baseline": {
"suggested_role": "owners",
"confidence": 0.5,
"ranked_roles": [
{
"role_preset": "owners",
"score": 1,
"reasons": [
"<string>"
]
}
],
"why": "<string>"
},
"jev": {
"probabilities": {
"owners": 0.5,
"operations": 0.5,
"developers": 0.5,
"vendors": 0.5
},
"model": "<string>",
"eligible": true
},
"reasons": [
"<string>"
],
"why": "<string>"
}{
"_tag": "Validation",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "Unauthorized",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "Forbidden",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "TooManyRequests",
"success": false,
"errors": [],
"result": {}
}{
"_tag": "ServiceUnavailable",
"success": false,
"errors": [],
"result": {}
}Authorizations
workspace API token (sk_akua_...) or OAuth2 JWT. Create tokens at https://akua.dev/developers/api-tokens
Headers
Optional workspace/scope context for the request. Carries a single workspace wire id (ws_…) today. Only needed for broad tokens - a workspace-owned token implies its workspace.
Required string length:
1 - 53Example:
"ws_j572abc123def456"
Body
application/json
Maximum array length:
20Show child attributes
Show child attributes
Maximum string length:
200Show child attributes
Show child attributes
Maximum array length:
20Available options:
home, workspace, marketplace, packages, products, offers, managed_deployments, customers, apps, agents, repository_change_requests, operations, docs, compute, machines, clusters, secrets, registries, regions, cloudflare, dashboards, snippets, runs, quotas, api_tokens, billing, account, organization_members, organization, notifications, payments, access Maximum string length:
2000Response
DashboardRoleSuggestion
⌘I